OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
STEPSelections

# STEPSelections_Counter Class Reference

`#include <STEPSelections_Counter.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | STEPSelections_Counter ()
Standard_EXPORT void | Count (const Interface_Graph &graph, const Handle(Standard_Transient)&start)
Standard_EXPORT void | Clear ()
Standard_Integer | NbInstancesOfFaces () const
Standard_Integer | POP () const
Standard_Integer | POP2 () const
Standard_Integer | NbInstancesOfShells () const
Standard_Integer | NbInstancesOfSolids () const
Standard_Integer | NbInstancesOfEdges () const
Standard_Integer | NbInstancesOfWires () const
Standard_Integer | NbSourceFaces () const
Standard_Integer | NbSourceShells () const
Standard_Integer | NbSourceSolids () const
Standard_Integer | NbSourceEdges () const
Standard_Integer | NbSourceWires () const
## Private Member Functions
Standard_EXPORT void | AddShell (const Handle(StepShape_ConnectedFaceSet)&cfs)
Standard_EXPORT void | AddCompositeCurve (const Handle(StepGeom_CompositeCurve)&ccurve)
## Private Attributes
Standard_Integer | myNbFaces
Standard_Integer | myNbShells
Standard_Integer | myNbSolids
Standard_Integer | myNbEdges
Standard_Integer | myNbWires
TColStd_MapOfTransient | myMapOfFaces
TColStd_MapOfTransient | myMapOfShells
TColStd_MapOfTransient | myMapOfSolids
TColStd_MapOfTransient | myMapOfEdges
TColStd_MapOfTransient | myMapOfWires

## Constructor & Destructor Documentation

Standard_EXPORT STEPSelections_Counter::STEPSelections_Counter | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void STEPSelections_Counter::AddCompositeCurve | ( | const Handle(StepGeom_CompositeCurve)& | ccurve | ) | `[private]`

Standard_EXPORT void STEPSelections_Counter::AddShell | ( | const Handle(StepShape_ConnectedFaceSet)& | cfs | ) | `[private]`

Standard_EXPORT void STEPSelections_Counter::Clear | ( |  | ) |

Standard_EXPORT void STEPSelections_Counter::Count | ( | const Interface_Graph & | graph,
|  | const Handle(Standard_Transient)& | start
| ) |

Standard_Integer STEPSelections_Counter::NbInstancesOfEdges | ( |  | ) | const`[inline]`

Standard_Integer STEPSelections_Counter::NbInstancesOfFaces | ( |  | ) | const`[inline]`

Standard_Integer STEPSelections_Counter::NbInstancesOfShells | ( |  | ) | const`[inline]`

Standard_Integer STEPSelections_Counter::NbInstancesOfSolids | ( |  | ) | const`[inline]`

Standard_Integer STEPSelections_Counter::NbInstancesOfWires | ( |  | ) | const`[inline]`

Standard_Integer STEPSelections_Counter::NbSourceEdges | ( |  | ) | const`[inline]`

Standard_Integer STEPSelections_Counter::NbSourceFaces | ( |  | ) | const`[inline]`

Standard_Integer STEPSelections_Counter::NbSourceShells | ( |  | ) | const`[inline]`

Standard_Integer STEPSelections_Counter::NbSourceSolids | ( |  | ) | const`[inline]`

Standard_Integer STEPSelections_Counter::NbSourceWires | ( |  | ) | const`[inline]`

void STEPSelections_Counter::operator delete | ( | void * | anAddress | ) | `[inline]`

void* STEPSelections_Counter::operator new | ( | size_t | size | ) | `[inline]`

void* STEPSelections_Counter::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Integer STEPSelections_Counter::POP | ( |  | ) | const

Standard_Integer STEPSelections_Counter::POP2 | ( |  | ) | const

## Field Documentation

TColStd_MapOfTransient STEPSelections_Counter::myMapOfEdges`[private]`

TColStd_MapOfTransient STEPSelections_Counter::myMapOfFaces`[private]`

TColStd_MapOfTransient STEPSelections_Counter::myMapOfShells`[private]`

TColStd_MapOfTransient STEPSelections_Counter::myMapOfSolids`[private]`

TColStd_MapOfTransient STEPSelections_Counter::myMapOfWires`[private]`

Standard_Integer STEPSelections_Counter::myNbEdges`[private]`

Standard_Integer STEPSelections_Counter::myNbFaces`[private]`

Standard_Integer STEPSelections_Counter::myNbShells`[private]`

Standard_Integer STEPSelections_Counter::myNbSolids`[private]`

Standard_Integer STEPSelections_Counter::myNbWires`[private]`

The documentation for this class was generated from the following files:

- STEPSelections_Counter.hxx
- STEPSelections_Counter.lxx